summaryrefslogtreecommitdiff
path: root/meta-google/recipes-google/networking/gbmc-bridge/gbmc-br-dhcp.sh
diff options
context:
space:
mode:
Diffstat (limited to 'meta-google/recipes-google/networking/gbmc-bridge/gbmc-br-dhcp.sh')
-rw-r--r--meta-google/recipes-google/networking/gbmc-bridge/gbmc-br-dhcp.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/meta-google/recipes-google/networking/gbmc-bridge/gbmc-br-dhcp.sh b/meta-google/recipes-google/networking/gbmc-bridge/gbmc-br-dhcp.sh
index beccc86586..42a077d093 100644
--- a/meta-google/recipes-google/networking/gbmc-bridge/gbmc-br-dhcp.sh
+++ b/meta-google/recipes-google/networking/gbmc-bridge/gbmc-br-dhcp.sh
@@ -92,5 +92,10 @@ EOF
networkctl reload && networkctl reconfigure gbmcbr
fi
+ if [ -n "${fqdn-}" ]; then
+ echo "Using hostname $fqdn" >&2
+ hostnamectl set-hostname "$fqdn" || true
+ fi
+
gbmc_br_dhcp_run_hooks
fi